View Issue Details

IDProjectCategoryView StatusLast Update
0015496LazarusLCLpublic2011-12-01 11:23
ReporterAndrzej BoruckiAssigned ToPaul Ishenin 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version0.9.29 (SVN)Product Build 
Target Version0.9.30Fixed in Version0.9.29 (SVN) 
Summary0015496: Problem changing string to shorter
DescriptionI compile with {$H+}
Memo1 at start has no lines, I write:
  Memo1.Lines.Add('abcdefg');
  Memo1.Lines[0]:='a';
In Memo1 appears "a_c" (between a and c is square), if I write "Memo1.Lines[0]:='ab';" in Memo1 appears "ab_d".
TagsNo tags attached.
Fixed in Revision23600
LazTarget0.9.30
WidgetsetWin32/Win64
Attached Files

Activities

Paul Ishenin

2010-01-30 12:42

manager   ~0034070

Please test and close if ok.

Issue History

Date Modified Username Field Change
2010-01-11 22:40 Andrzej Borucki New Issue
2010-01-11 22:40 Andrzej Borucki Widgetset => Win32/Win64
2010-01-30 12:42 Paul Ishenin Fixed in Revision => 23600
2010-01-30 12:42 Paul Ishenin LazTarget => 0.9.30
2010-01-30 12:42 Paul Ishenin Status new => resolved
2010-01-30 12:42 Paul Ishenin Fixed in Version => 0.9.29 (SVN)
2010-01-30 12:42 Paul Ishenin Resolution open => fixed
2010-01-30 12:42 Paul Ishenin Assigned To => Paul Ishenin
2010-01-30 12:42 Paul Ishenin Note Added: 0034070
2010-01-30 12:42 Paul Ishenin Target Version => 0.9.30
2011-12-01 11:23 Marc Weustink Status resolved => closed